# Catalog Item Details Get catalog item. # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "PandaDoc Public API", "description": "PandaDoc API spans a broad range of functionality to help you build incredible documents automation experiences inside your product.\n\nPandaDoc API is organized around REST. Our API has predictable resource-oriented URLs and uses standard HTTP response codes, authentication, and verbs.\n\n## Getting started\n\nYou can start testing PandaDoc API with a sandbox key on our [Enterprise](https://www.pandadoc.com/pricing/) plan, either active or in trial.\n\nGenerate your [sandbox key](https://developers.pandadoc.com/reference/sandbox-key) on the Developer Dashboard with predefined [rate limits](https://developers.pandadoc.com/reference/limits). Or contact our solutions expert if you work with high-transaction volumes.\n\n## Guides\n\nIf you’re just getting started with PandaDoc, you may want to jump straight into one of our [getting started guides](https://developers.pandadoc.com/docs/getting-started) for the feature you’re most interested in, whether that’s:\n\n- [Create from template](https://developers.pandadoc.com/docs/create-send-document),\n- [Upload and send a local PDF](https://developers.pandadoc.com/docs/upload-and-send-a-local-pdf),\n- or [Listening for changes in document status](https://developers.pandadoc.com/docs/listen-document-status-changes).\n\nWe also recommend you to discover our dynamic content generation on a fly: [Create from a template with content placeholder](https://developers.pandadoc.com/docs/create-with-content-placeholders-from-template).\n", "termsOfService": "https://www.pandadoc.com/master-services-agreement/", "contact": { "name": "PandaDoc API Support", "url": "https://developers.pandadoc.com/", "email": "api-track@pandadoc.com" }, "license": { "name": "MIT", "url": "https://github.com/PandaDoc/pandadoc-openapi-specification/blob/main/LICENSE" }, "version": "7.18.2" }, "servers": [ { "url": "https://api.pandadoc.com", "description": "Public API" } ], "security": [ { "apiKey": [] }, { "oauth2": [] } ], "tags": [ { "name": "Product catalog", "description": "Operations for managing product catalog items, including creation and retrieval." } ], "paths": { "/public/v2/product-catalog/items/{item_uuid}": { "parameters": [ { "name": "item_uuid", "in": "path", "description": "Catalog item UUID", "x-ignore-no-type": true, "required": true, "schema": { "type": "string", "format": "uuid" }, "example": "2e39c7e0-acb0-4ff2-b4cd-ea3141f95db8" } ], "get": { "tags": [ "Product catalog" ], "summary": "Catalog Item Details", "description": "Get catalog item.", "operationId": "getCatalogItem", "parameters": [ { "name": "item_uuid", "in": "path", "description": "Catalog item UUID", "x-ignore-no-type": true, "required": true, "examples": { "Catalog Items Details": { "value": "2e39c7e0-acb0-4ff2-b4cd-ea3141f95db8" } }, "schema": { "type": "string", "format": "uuid" } } ], "responses": { "200": { "description": "Get Catalog Item", "content": { "application/json": { "examples": { "Catalog Items Details": { "value": { "uuid": "2e39c7e0-acb0-4ff2-b4cd-ea3141f95db8", "title": "New Product", "date_created": "2024-07-18T13:15:13.542219", "date_modified": "2024-07-18T13:15:13.542219", "created_by": "FA5QAu8UGA3oVDQZuPL75B", "modified_by": "FA5QAu8UGA3oVDQZuPL75B", "default_price_configuration": { "uuid": "99dc088e-c42a-483f-8b07-01a482d3e85d", "price": 1, "cost": null, "currency": "EUR", "pricing_method": 0, "tiers": null, "billing_cycle": null, "billing_type": "one_time" }, "variants": [ { "uuid": "f5a99f07-8cbb-46b2-beb2-5d4c52d3fb4e", "sku": "211814113542", "description": null, "custom_fields": [], "images": [], "date_created": "2024-07-18T13:15:13.542219", "date_modified": "2024-07-18T13:15:13.542219", "status": 0, "price_configurations": [ { "uuid": "99dc088e-c42a-483f-8b07-01a482d3e85d", "price": 1, "cost": null, "currency": "EUR", "pricing_method": 0, "tiers": null, "billing_cycle": null, "billing_type": "one_time" } ] } ], "category_id": null, "category_name": null, "type": "regular", "bundle_items": null } } }, "schema": { "$ref": "#/components/schemas/ProductCatalogItemResponse" } } } }, "403": { "$ref": "#/components/responses/403PermissionDeniedV2" } } } } }, "components": { "securitySchemes": { "apiKey": { "type": "apiKey", "name": "Authorization", "in": "header", "description": "The `Authorization` header must contain the API key. The value should be prefixed with `API-Key` followed by a space and the actual API key.\n", "x-default": "API-Key 3039ba033eb1410caa0a2227158d63c9d6502cd8" }, "oauth2": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://app.pandadoc.com/oauth2/authorize", "tokenUrl": "https://api.pandadoc.com/oauth2/access_token", "refreshUrl": "https://api.pandadoc.com/oauth2/access_token", "scopes": { "read+write": "Use `read+write` to create, send, delete, and download documents, and `read` to view templates and document details." } } }, "description": "Send the authenticating user to the PandaDoc OAuth2 request URL. We recommend a button or a link titled\n\"Connect to PandaDoc\" if you are connecting users from a custom application. Users will see the \"Authorize Application\" screen.\nWhen the user clicks \"Authorize\", PandaDoc redirects the user back to your site with an authorization code inside the URL.\n\nhttps://app.pandadoc.com/oauth2/authorize?client_id={client_id}&redirect_uri={redirect_uri}&scope=read+write&response_type=code\n\n`client_id` and `redirect_uri` values should match your application settings.\n" } }, "schemas": { "ProductCatalogTypeEnum": { "type": "string", "default": "regular", "enum": [ "regular", "bundle" ], "example": "regular" }, "ProductCatalogItemPriceTier": { "type": "object", "properties": { "value": { "type": "number", "format": "float", "minimum": 0, "example": 9.99 }, "min_qty": { "type": "number", "minimum": 1 } }, "required": [ "value", "min_qty" ], "x-examples": { "example-1": { "price": 9.99, "min_qty": 1 } } }, "ProductCatalogPricingMethodEnum": { "type": "integer", "enum": [ 0, 1, 2 ] }, "ProductCatalogItemPriceConfiguration": { "type": "object", "x-examples": { "example-1": { "currency": "USD", "price": null, "cost": null, "tiers": [ { "value": 9.99, "min_qty": 1 }, { "value": 8.99, "min_qty": 10 }, { "value": 5.99, "min_qty": 100 } ], "pricing_method": 1 }, "example-2": { "currency": "USD", "price": 59.99, "cost": 60, "tiers": null, "pricing_method": 0 } }, "properties": { "currency": { "type": "string", "example": "USD" }, "price": { "type": "number", "example": 59.99, "nullable": true }, "cost": { "type": "number", "nullable": true }, "billing_type": { "type": "string" }, "billing_cycle": { "type": "string", "nullable": true }, "tiers": { "type": "array", "description": "only for volume based pricing", "nullable": true, "items": { "$ref": "#/components/schemas/ProductCatalogItemPriceTier" } }, "pricing_method": { "$ref": "#/components/schemas/ProductCatalogPricingMethodEnum" } }, "required": [ "currency", "pricing_method" ] }, "ProductCatalogCatalogItemInBundle": { "type": "object", "properties": { "uuid": { "type": "string" }, "title": { "type": "string" }, "sku": { "type": "string", "nullable": true }, "description": { "type": "string", "nullable": true }, "image_url": { "type": "string", "nullable": true }, "images": { "type": "array", "nullable": true, "items": { "type": "object", "properties": { "is_main": { "type": "boolean", "nullable": true }, "order": { "type": "number" }, "src": { "type": "string" } } } }, "price": { "type": "number", "nullable": true }, "currency": { "type": "string" } } }, "ProductCatalogCustomCatalogItemInBundle": { "type": "object", "properties": { "uuid": { "type": "string" }, "title": { "type": "string" }, "description": { "type": "string", "nullable": true }, "image_url": { "type": "string", "nullable": true }, "images": { "type": "array", "nullable": true, "items": { "type": "object", "properties": { "is_main": { "type": "boolean", "nullable": true }, "order": { "type": "number" }, "src": { "type": "string" } } } }, "price": { "type": "number", "nullable": true }, "currency": { "type": "string" } } }, "ProductCatalogItemResponse": { "type": "object", "properties": { "uuid": { "type": "string", "format": "uuid" }, "title": { "type": "string" }, "date_created": { "type": "string", "format": "date-time" }, "date_modified": { "type": "string", "format": "date-time", "nullable": true }, "created_by": { "type": "string" }, "modified_by": { "type": "string", "nullable": true }, "category_id": { "type": "string", "format": "uuid", "nullable": true }, "category_name": { "type": "string", "nullable": true }, "type": { "$ref": "#/components/schemas/ProductCatalogTypeEnum" }, "bundle_items": { "type": "array", "nullable": true, "items": { "type": "object", "properties": { "quantity": { "type": "integer" }, "item": { "anyOf": [ { "$ref": "#/components/schemas/ProductCatalogCatalogItemInBundle" }, { "$ref": "#/components/schemas/ProductCatalogCustomCatalogItemInBundle" } ] } } } }, "default_price_configuration": { "allOf": [ { "$ref": "#/components/schemas/ProductCatalogItemPriceConfiguration" }, { "type": "object", "properties": { "uuid": { "type": "string", "format": "uuid" }, "pricing_method": { "type": "number" } } } ] }, "variants": { "type": "array", "items": { "type": "object", "properties": { "uuid": { "type": "string", "format": "uuid" }, "sku": { "type": "string", "nullable": true }, "description": { "type": "string", "nullable": true }, "custom_fields": { "type": "array", "nullable": true, "items": { "type": "object", "properties": { "name": { "type": "string" }, "value": { "type": "string", "nullable": true } } } }, "images": { "type": "array", "nullable": true, "items": { "type": "object", "properties": { "is_main": { "type": "boolean", "nullable": true }, "order": { "type": "number" }, "src": { "type": "string" } } } }, "date_created": { "type": "string", "format": "date-time" }, "date_modified": { "type": "string", "format": "date-time", "nullable": true }, "status": { "type": "number" }, "price_configurations": { "type": "array", "items": { "allOf": [ { "$ref": "#/components/schemas/ProductCatalogItemPriceConfiguration" }, { "type": "object", "properties": { "uuid": { "type": "string", "format": "uuid" }, "pricing_method": { "type": "number" } } } ] } } } } } } } }, "responses": { "403PermissionDeniedV2": { "description": "Permission error", "content": { "application/json": { "schema": { "properties": { "code": { "type": "string", "example": "forbidden" }, "details": { "type": "array", "items": { "type": "object", "properties": { "code": { "type": "string" }, "pointer": { "type": "string", "description": "JSON Pointer.", "nullable": true }, "data": { "description": "Details data.", "type": "object", "nullable": true, "minProperties": 0, "additionalProperties": true } }, "required": [ "code" ] }, "example": [] } } } } } } } } } ```